%global momorel 1

Name: pcre
Version: 7.7
Release: %{momorel}m%{?dist}
Summary: Perl-compatible regular expression library
URL: http://www.pcre.org/
Source: ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2
NoSource: 0
Patch1: pcre-7.4-multilib.patch
# security patch from http://bugs.gentoo.org/attachment.cgi?id=157449
Patch10: pcre-7.7-buffer-overflow.patch
License: BSD
Group: System Environment/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq: glibc
BuildPrereq: sed

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
%setup -q
%patch1 -p1 -b .multilib
%patch10 -p1 -b .CVE-2008-2371

%build
%configure --enable-utf8 --enable-unicode-properties

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libpcre.so.* %{buildroot}/%{_lib}/
pushd %{buildroot}%{_libdir}
ln -fs ../../%{_lib}/libpcre.so.0 libpcre.so
popd

# get rid of unneeded *.la files
rm -f %{buildroot}%{_libdir}/*.la

%if 0
%check
make check
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/%{_lib}/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/pcregrep
%{_bindir}/pcretest
%doc %{_docdir}/pcre/LICENCE
%doc %{_docdir}/pcre/AUTHORS

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*.h
%{_mandir}/man3/*
%{_bindir}/pcre-config
%doc %{_docdir}/pcre
%exclude %{_docdir}/pcre/LICENCE
%exclude %{_docdir}/pcre/AUTHORS

%changelog
* Fri Jul 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (7.7-1m)
- [SECURITY] CVE-2008-2371, import security patch from Gentoo
- update to 7.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.6-2m)
- rebuild against gcc43

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (7.6-1m)
- [SECURITY] CVE-2008-0674
- update to 7.6

* Wed Nov  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4-1m)
- [SECURITY] CVE-2007-1659 CVE-2007-1660 CVE-2007-1661 CVE-2007-1662 
- [SECURITY] CVE-2007-4766 CVE-2007-4767 CVE-2007-4768
- update to 7.4

* Mon Apr  9 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (7.0-1m)
- sync fc7

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.3-2m)
- delete libtool library

* Sun Apr 16 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (6.3-1m)
- version up
- import from fc-devel

* Wed Aug 24 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.5-6m)
- [SECURITY] CAN-2005-2491 PCRE Head Overflow
  import patch from FedoraCore
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166330

* Thu Apr  7 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.5-5m)
- change man owner (root:man -> root:root)
- revised spec file

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (4.5-4m)
- enable x86_64.

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (4.5-3m)
- revised spec for rpm 4.2.
- still pcretest is not included.

* Thu Dec 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.5-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Dec 17 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.5-1m)
- updated to 4.5
- remove pcre-4.4-autoconf2.56-force.patch

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.4-3m)
- fix License: preamble

* Tue Sep 23 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.4-2m)
- change License tag: GPL -> "pcre"
  see LICENCE file
- libtoolize -c -f, aclocal, autoconf added
- add pcre-4.4-autoconf2.56-force.patch
  you installed autoconf-2.57 or higher, and you can remove this patch.

* Thu Aug 21 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.4-1m)
- update to 4.4
  There have been a lot of changes for the 4.0 release, see NEWS file
- use %%{momorel} macro
- use %%NoSource and Change URI to official home
- configure with --enable-utf8
- use %%make
- add AUTHORS, COPYING, INSTALL and NEWS in %%doc
- move %%{_mandir}/man3 from pcre to pcre-devel
- only include %%{_mandir}/man1/pcregrep*
  (pcretest is not included)

* Wed Aug  7 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (3.9-3m)
- move libpcre.so* to /lib (devel.ja:00304, devel.ja:00306)

* Sat Feb 23 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (3.9-2k)
- update to 3.9

* Mon Jan 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (3.7-2k)
- update to 3.7

* Thu Sep 27 2001 Toru Hoshina <t@kondara.org>
- (3.4-10k)
- rebuild against new environment.

* Sun Mar 25 2001 Motonobu Ichimura <famao@kondara.org>
- (3.4-5k)
- added *.so files to devel
- added *.la packages to devel

* Mon Mar 12 2001 YAMAGUCHI Kenji <yamk@sophiaworks.com>
- (3.4-3k)
- (RedHat contrib)
- Updated pcre-3.4
- renamed package pgrep -> pcregrep (at PCRE 3.3, see original Changelog)
- Kondarize.

* Sun Jul 30 2000 Arne Coucheron <arneco@online.no>
  [3.2-1]
- added a devel package
- added support for compiling in multiprocessor environment

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
